import { type AxiosResponse } from "axios";
type Paginated<T> = {
    first: string;
    items: T[];
    last: string;
    page: number;
    pages: number;
    self: string;
    size: number;
    total: number;
};
export declare const handlePagination: <T, U extends Paginated<T>>(url: URL, call: (uriWithPagination: string) => Promise<AxiosResponse<U>>) => Promise<AxiosResponse<U, any>>;
export declare const login: () => Promise<string>;
export declare const recycleService: (token: string) => {
    getPostalCodeId(code: number): Promise<{
        label: string;
        value: string;
    }[]>;
    getStreetId(zipCodeId: string, street: string): Promise<{
        label: string;
        value: string;
    }[]>;
    listRecyparks(args: {
        postalCode: string;
        street: string;
        house: number;
    }): Promise<{
        weight: number;
        id: number;
        lat: number;
        lon: number;
    }[]>;
    getRecypark(args: {
        postalCode: string;
        street: string;
        house: number;
    }): Promise<{
        latitude: number;
        longitude: number;
        name: string;
    } | undefined>;
    getCalendar(args: {
        postalCode: string;
        street: string;
        house: number;
        address: string;
    }): Promise<{
        label: string;
        value: string;
        timestamp: Date;
        address: string;
    }[][]>;
};
export declare const groupItemsPerDay: <T extends {
    timestamp: Date;
}>(items: T[]) => T[][];
export {};
