export type OpenStreetMapResult = {
    place_id: number;
    licence: string;
    osm_type: string;
    osm_id: number;
    lat: string;
    lon: string;
    display_name: string;
    class: string;
    type: string;
    importance: number;
    icon: string;
    place_rank: number;
    addresstype: string;
    name: string;
    address: {
        road: string;
        neighbourhood: string;
        suburb: string;
        city: string;
        municipality: string;
        county: string;
        state: string;
        region: string;
        postcode: string;
        country: string;
        country_code: string;
    };
    boundingbox: string[];
};
export declare const localize: (address: string) => Promise<{
    longitude: number;
    latitude: number;
}>;
export declare const computeWeight: (start: {
    latitude: number;
    longitude: number;
}, end: typeof start) => Promise<number>;
